weka.classifiers.bayes.net

## Class MarginCalculator.JunctionTreeSeparator

- java.lang.Object
- - weka.classifiers.bayes.net.MarginCalculator.JunctionTreeSeparator

- All Implemented Interfaces:
    java.io.Serializable, RevisionHandler
  Enclosing class:
    MarginCalculator

      public class MarginCalculator.JunctionTreeSeparator
      extends java.lang.Object
      implements java.io.Serializable, RevisionHandler

  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getRevision()` Returns the revision string.
    `double[]` | `update(MarginCalculator.JunctionTreeNode node)` marginalize junciontTreeNode node over all nodes outside the separator set
    `void` | `updateFromChild()` marginalize junciontTreeNode node over all nodes outside the separator set of the child clique
    `void` | `updateFromParent()` marginalize junciontTreeNode node over all nodes outside the separator set of the parent clique

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### updateFromParent

          public void updateFromParent()

      marginalize junciontTreeNode node over all nodes outside the separator set of the parent clique

    - #### updateFromChild

          public void updateFromChild()

      marginalize junciontTreeNode node over all nodes outside the separator set of the child clique

    - #### update

          public double[] update(MarginCalculator.JunctionTreeNode node)

      marginalize junciontTreeNode node over all nodes outside the separator set
      Parameters:
        `node` - one of the neighboring junciont tree nodes of this separator

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Returns:
        the revision